﻿using System;
using System.Windows.Forms;
using ELTE.BoardGame.Model;
using ELTE.BoardGame.Persistence;
using ELTE.BoardGame.Presenter;
using ELTE.BoardGame.View;

namespace ELTE.BoardGame
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // függőség befecskendezés több szinten
            IPersistence persistence = new TextFilePersistence();
            BoardGameModel model = new ConnectFourModel(10, persistence);
            BoardGamePresenter presenter = new BoardGamePresenter(model);
            DrawingForm view = new DrawingForm();
            presenter.View = view;

            Application.Run(view);
        }
    }
}
